package com.ruoyi.project.sems.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.sems.mapper.TReportMonthMapper;
import com.ruoyi.project.sems.domain.TReportMonth;
import com.ruoyi.project.sems.service.ITReportMonthService;

import javax.annotation.Resource;

/**
 * 月度检查Service业务层处理
 *
 * @author ruoyi
 * @date 2021-08-31
 */
@Service("tReportMonthService")
public class TReportMonthServiceImpl implements ITReportMonthService
{
    @Resource
    private TReportMonthMapper tReportMonthMapper;

    /**
     * 查询月度检查
     *
     * @param id 月度检查ID
     * @return 月度检查
     */
    @Override
    public TReportMonth selectTReportMonthById(Long id)
    {
        return tReportMonthMapper.selectTReportMonthById(id);
    }

    /**
     * 查询月度检查列表
     *
     * @param tReportMonth 月度检查
     * @return 月度检查
     */
    @Override
    public List<TReportMonth> selectTReportMonthList(TReportMonth tReportMonth)
    {
        return tReportMonthMapper.selectTReportMonthList(tReportMonth);
    }

    /**
     * 新增月度检查
     *
     * @param tReportMonth 月度检查
     * @return 结果
     */
    @Override
    public int insertTReportMonth(TReportMonth tReportMonth)
    {
        return tReportMonthMapper.insertTReportMonth(tReportMonth);
    }

    /**
     * 修改月度检查
     *
     * @param tReportMonth 月度检查
     * @return 结果
     */
    @Override
    public int updateTReportMonth(TReportMonth tReportMonth)
    {
        return tReportMonthMapper.updateTReportMonth(tReportMonth);
    }

    /**
     * 批量删除月度检查
     *
     * @param ids 需要删除的月度检查ID
     * @return 结果
     */
    @Override
    public int deleteTReportMonthByIds(Long[] ids)
    {
        return tReportMonthMapper.deleteTReportMonthByIds(ids);
    }

    /**
     * 删除月度检查信息
     *
     * @param id 月度检查ID
     * @return 结果
     */
    @Override
    public int deleteTReportMonthById(Long id)
    {
        return tReportMonthMapper.deleteTReportMonthById(id);
    }
}
